

Patch from Christoph Hellwig <hch@lst.de>

This is from the uClinux patches - there are a few more stubs needed
in nommu.c to get the mmuless plattforms working.



 25-akpm/mm/nommu.c |   16 ++++++++++++++++
 1 files changed, 16 insertions(+)

diff -puN mm/nommu.c~no-mmu-stubs mm/nommu.c
--- 25/mm/nommu.c~no-mmu-stubs	Mon Mar 10 14:22:35 2003
+++ 25-akpm/mm/nommu.c	Mon Mar 10 14:22:35 2003
@@ -130,6 +130,11 @@ void *__vmalloc(unsigned long size, int 
 	return kmalloc(size, gfp_mask & ~__GFP_HIGHMEM);
 }
 
+struct page * vmalloc_to_page(void *addr)
+{
+	return virt_to_page(addr);
+}
+
 long vread(char *buf, char *addr, unsigned long count)
 {
 	memcpy(buf, addr, count);
@@ -546,6 +551,17 @@ struct vm_area_struct * find_vma(struct 
 	return NULL;
 }
 
+struct page * follow_page(struct mm_struct *mm, unsigned long addr, int write)
+{
+	return NULL;
+}
+
+int remap_page_range(struct vm_area_struct *vma, unsigned long from,
+		unsigned long to, unsigned long size, pgprot_t prot)
+{
+	return -EPERM;
+}
+
 unsigned long get_unmapped_area(struct file *file, unsigned long addr,
 	unsigned long len, unsigned long pgoff, unsigned long flags)
 {

_
